Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

Continuous distribution

POST
/compute/orgs/{org_id}/geostatistics/continuous-distribution

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters

Examples: {"key":"value"}, {"another_key":123}

Source data to create the distribution from.

Object containing the data to create a distribution from. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The attribute containing the values to create a distribution from.

Optional weights for creating a weighted (declustered) distribution.

Object containing the weights data. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The attribute containing the weights values.

Optional tail extrapolation parameters for extending the distribution beyond the data range.

Power model for extrapolating the upper tail of the distribution.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Maximum extent of tail, must be greater than the maximum value in the data.

Power model for lower tail extrapolation. The min value must be less than the minimum value in the data.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Minimum extent of tail, must be less than the minimum value in the data.

Examples: {"key":"value"}, {"another_key":123}

Target specifying where to create the continuous distribution object.

Reference to the targeted object. Supported schemas: non-parametric-continuous-cumulative-distribution/[>=1.0,<2]

Whether to overwrite the existing object.

Description to put into the target object.

Tags to put into the target object.

This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"reference": "https://example.com",
"overwrite": false,
"tags": {
"Additional properties": "string",
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message describing the result of the task.

Examples: {"key":"value"}, {"another_key":123}

Reference to the created continuous distribution object.

Reference to a geoscience object. Supported schemas: non-parametric-continuous-cumulative-distribution/[>=1.0,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

{
"message": "string",
"distribution": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string"
}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?